cvp.vo

## Class Farmaco

- java.lang.Object
- - cvp.vo.Farmaco

-     public class Farmaco
      extends java.lang.Object

  Contiene i dati del farmaco.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `codATC` Codice ATC del farmaco, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.
    `private java.lang.String` | `codGruppoEquival` Il campo deve contenere il codice del gruppo di equivalenza secondo la codifica AIFA, nel caso di prescrizione farmaceutica con principio attivo, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $codGruppoEquival della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `codice` Codice ministeriale del farmaco, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $codProdPrest della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `codMotivazione` Il campo contiene i codici di motivazione di non sostituibilità di un farmaco: fare riferimento alle linee guida art. 15, comma 11-bis del DL 95/2012, pubblicate nel portale www.sistemats.it.
    `private java.lang.String` | `codNotaCUF` Codice nota AIFA del farmaco, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.
    `private java.lang.String` | `codProdPrestErog` Codice AIC del farmaco effettivamente erogato, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $codProdPrestErog della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `dataFineErog` Data fine erogazione, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $dataFineErog della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `dataIniErog` Data inizio erogazione, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $dataIniErog della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `descATC` Descrizione ATC del farmaco, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.
    `private java.lang.String` | `descrGruppoEquival` Descrizione testuale del gruppo di equivalenza secondo la dizione AIFA.
    `private java.lang.String` | `descrizione` Descrizione del farmaco, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $descrizione della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `descrProdPrestErog` Descrizione AIC del farmaco effettivamente erogato, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $descrProdPrestErog della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `dichTargaDoppia` Dichiarazione del farmacista di erogazione di un farmaco il cui codice targatura è già esistente presso il SAC, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $dichTargaDoppia della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `diffGenerico` Differenza di prezzo tra prodotto di marca e generico, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $diffGenerico della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `dispFust1` Campo per futuro utilizzo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $dispFust1 della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `dispFust2` Campo per futuro utilizzo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $dispFust2 della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `dispFust3` Campo riservato alle Regioni, nel quale possono inserire informazioni di loro interesse, non controllate dal SAC.
    `private java.lang.String` | `extraScontoDL31052010` Sconto introdotto nel DL31.05.2010, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $extraScontoDL31052010 della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `extraScontoIndustria` sconto obbligatorio dello 0,6% sul prezzo al pubblico lordo con IVA a carico dell'industria produttrice, per i medicinali erogati in regime SSN, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $extraScontoIndustria della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `extraScontoPayback` È lo sconto che il SSN nel procedere alla corresponsione di quanto dovuto alle farmacie trattiene per un importo corrispondente allo 0,6% del prezzo al pubblico comprensivo dell'IVA, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $extraScontoPayback della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `fascia` Fascia di appartenenza del farmaco, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.
    `private java.lang.String` | `flagErog` Il flag assume diversi valori, ed è riferito a ciò che è stato inserito nel campo codProdPrestErog, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $flagErog della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `flagFarmacoSostituibile` Flag indicante se il farmaco è sostituibile o no, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $nonSost della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `impPrestazione` Importo del farmaco, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.
    `private java.lang.String` | `motivazNote` Il campo, può essere utilizzato per scrivere un commento in testo libero o una nota esplicativa di ciò che è stato prescritto, ed è valevole solo per prescrizioni farmaceutiche, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $motivazNote della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `motivazSostProd` Valore indicante se il prodotto farmaceutico è stato sostituito ovvero se il farmaco di riferimento non è reperibile.
    `private java.lang.String` | `nota` Note farmaco, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.
    `private java.lang.String` | `notaProd` Nota AIFA (solo per prescrizioni farmaceutiche), elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $notaProd della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `onereProd` Onere di distribuzione del prodotto farmaceutico erogato in DPC, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $onereProd della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `prescrizione1` Campo destinato a informazioni aggiuntive, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $prescrizione1 della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `prescrizione2` Campo destinato a informazioni aggiuntive, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $prescrizione2 della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `prezzo` Prezzo al pubblico del prodotto farmaceutico, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $prezzo della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `quantita` Quantità del farmaco, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $quantita della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `quantitaErogata` Quantità effettivamente erogata, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $quantitaErogata della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `scontoSSN` Sconto riconosciuto al SSN, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $scontoSSN della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `statoPresc` Stato in cui si trova la singola prescrizione di una ricetta, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $statoPresc della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `targa` Numero identificativo univoco della singola confezione presente sulla fustella, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $targa della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `ticketConfezione` Ammontare della quota di compartecipazione alla spesa sanitaria per l’erogazione farmaceutica, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $ticketConfezione della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `tipoErogazioneFarm` Tipologia di erogazione dei farmaci, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $tipoErogazioneFarm della risposta del servizio SAC visualizzaErogato

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Farmaco()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodATC()`
    `java.lang.String` | `getCodGruppoEquival()`
    `java.lang.String` | `getCodice()`
    `java.lang.String` | `getCodMotivazione()`
    `java.lang.String` | `getCodNotaCUF()`
    `java.lang.String` | `getCodProdPrestErog()`
    `java.lang.String` | `getDataFineErog()`
    `java.lang.String` | `getDataIniErog()`
    `java.lang.String` | `getDescATC()`
    `java.lang.String` | `getDescrGruppoEquival()`
    `java.lang.String` | `getDescrizione()`
    `java.lang.String` | `getDescrProdPrestErog()`
    `java.lang.String` | `getDichTargaDoppia()`
    `java.lang.String` | `getDiffGenerico()`
    `java.lang.String` | `getDispFust1()`
    `java.lang.String` | `getDispFust2()`
    `java.lang.String` | `getDispFust3()`
    `java.lang.String` | `getExtraScontoDL31052010()`
    `java.lang.String` | `getExtraScontoIndustria()`
    `java.lang.String` | `getExtraScontoPayback()`
    `java.lang.String` | `getFascia()`
    `java.lang.String` | `getFlagErog()`
    `java.lang.String` | `getFlagFarmacoSostituibile()`
    `java.lang.String` | `getImpPrestazione()`
    `java.lang.String` | `getMotivazNote()`
    `java.lang.String` | `getMotivazSostProd()`
    `java.lang.String` | `getNota()`
    `java.lang.String` | `getNotaProd()`
    `java.lang.String` | `getOnereProd()`
    `java.lang.String` | `getPrescrizione1()`
    `java.lang.String` | `getPrescrizione2()`
    `java.lang.String` | `getPrezzo()`
    `java.lang.String` | `getQuantita()`
    `java.lang.String` | `getQuantitaErogata()`
    `java.lang.String` | `getScontoSSN()`
    `java.lang.String` | `getStatoPresc()`
    `java.lang.String` | `getTarga()`
    `java.lang.String` | `getTicketConfezione()`
    `java.lang.String` | `getTipoErogazioneFarm()`
    `void` | `setCodATC(java.lang.String codATC)`
    `void` | `setCodGruppoEquival(java.lang.String codGruppoEquival)`
    `void` | `setCodice(java.lang.String codice)`
    `void` | `setCodMotivazione(java.lang.String codMotivazione)`
    `void` | `setCodNotaCUF(java.lang.String codNotaCUF)`
    `void` | `setCodProdPrestErog(java.lang.String codProdPrestErog)`
    `void` | `setDataFineErog(java.lang.String dataFineErog)`
    `void` | `setDataIniErog(java.lang.String dataIniErog)`
    `void` | `setDescATC(java.lang.String descATC)`
    `void` | `setDescrGruppoEquival(java.lang.String descrGruppoEquival)`
    `void` | `setDescrizione(java.lang.String descrizione)`
    `void` | `setDescrProdPrestErog(java.lang.String descrProdPrestErog)`
    `void` | `setDichTargaDoppia(java.lang.String dichTargaDoppia)`
    `void` | `setDiffGenerico(java.lang.String diffGenerico)`
    `void` | `setDispFust1(java.lang.String dispFust1)`
    `void` | `setDispFust2(java.lang.String dispFust2)`
    `void` | `setDispFust3(java.lang.String dispFust3)`
    `void` | `setExtraScontoDL31052010(java.lang.String extraScontoDL31052010)`
    `void` | `setExtraScontoIndustria(java.lang.String extraScontoIndustria)`
    `void` | `setExtraScontoPayback(java.lang.String extraScontoPayback)`
    `void` | `setFascia(java.lang.String fascia)`
    `void` | `setFlagErog(java.lang.String flagErog)`
    `void` | `setFlagFarmacoSostituibile(java.lang.String flagFarmacoSostituibile)`
    `void` | `setImpPrestazione(java.lang.String impPrestazione)`
    `void` | `setMotivazNote(java.lang.String motivazNote)`
    `void` | `setMotivazSostProd(java.lang.String motivazSostProd)`
    `void` | `setNota(java.lang.String nota)`
    `void` | `setNotaProd(java.lang.String notaProd)`
    `void` | `setOnereProd(java.lang.String onereProd)`
    `void` | `setPrescrizione1(java.lang.String prescrizione1)`
    `void` | `setPrescrizione2(java.lang.String prescrizione2)`
    `void` | `setPrezzo(java.lang.String prezzo)`
    `void` | `setQuantita(java.lang.String quantita)`
    `void` | `setQuantitaErogata(java.lang.String quantitaErogata)`
    `void` | `setScontoSSN(java.lang.String scontoSSN)`
    `void` | `setStatoPresc(java.lang.String statoPresc)`
    `void` | `setTarga(java.lang.String targa)`
    `void` | `setTicketConfezione(java.lang.String ticketConfezione)`
    `void` | `setTipoErogazioneFarm(java.lang.String tipoErogazioneFarm)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### descrizione

          private java.lang.String descrizione

      Descrizione del farmaco, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $descrizione della risposta del servizio SAC visualizzaErogato

    - #### quantita

          private java.lang.String quantita

      Quantità del farmaco, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $quantita della risposta del servizio SAC visualizzaErogato

    - #### codATC

          private java.lang.String codATC

      Codice ATC del farmaco, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.

    - #### descATC

          private java.lang.String descATC

      Descrizione ATC del farmaco, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.

    - #### codNotaCUF

          private java.lang.String codNotaCUF

      Codice nota AIFA del farmaco, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.

    - #### fascia

          private java.lang.String fascia

      Fascia di appartenenza del farmaco, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.

    - #### flagFarmacoSostituibile

          private java.lang.String flagFarmacoSostituibile

      Flag indicante se il farmaco è sostituibile o no, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $nonSost della risposta del servizio SAC visualizzaErogato

    - #### impPrestazione

          private java.lang.String impPrestazione

      Importo del farmaco, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.

    - #### nota

          private java.lang.String nota

      Note farmaco, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.

    - #### codice

          private java.lang.String codice

      Codice ministeriale del farmaco, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $codProdPrest della risposta del servizio SAC visualizzaErogato

    - #### statoPresc

          private java.lang.String statoPresc

      Stato in cui si trova la singola prescrizione di una ricetta, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $statoPresc della risposta del servizio SAC visualizzaErogato

    - #### codGruppoEquival

          private java.lang.String codGruppoEquival

      Il campo deve contenere il codice del gruppo di equivalenza secondo la codifica AIFA, nel caso di prescrizione farmaceutica con principio attivo, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $codGruppoEquival della risposta del servizio SAC visualizzaErogato

    - #### descrGruppoEquival

          private java.lang.String descrGruppoEquival

      Descrizione testuale del gruppo di equivalenza secondo la dizione AIFA. Il campo deve contenere la descrizione associata a codice gruppo equivalenza secondo la codifica AIFA. Il contenuto del campo è ciò che verrà visualizzato in seguito dall’erogatore, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $descrGruppoEquival della risposta del servizio SAC visualizzaErogato

    - #### motivazNote

          private java.lang.String motivazNote

      Il campo, può essere utilizzato per scrivere un commento in testo libero o una nota esplicativa di ciò che è stato prescritto, ed è valevole solo per prescrizioni farmaceutiche, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $motivazNote della risposta del servizio SAC visualizzaErogato

    - #### codMotivazione

          private java.lang.String codMotivazione

      Il campo contiene i codici di motivazione di non sostituibilità di un farmaco: fare riferimento alle linee guida art. 15, comma 11-bis del DL 95/2012, pubblicate nel portale www.sistemats.it. Deve essere compilato se nonSost vale 1, secondo regole che verranno rese note, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $codMotivazione della risposta del servizio SAC visualizzaErogato

    - #### notaProd

          private java.lang.String notaProd

      Nota AIFA (solo per prescrizioni farmaceutiche), elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $notaProd della risposta del servizio SAC visualizzaErogato

    - #### prescrizione1

          private java.lang.String prescrizione1

      Campo destinato a informazioni aggiuntive, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $prescrizione1 della risposta del servizio SAC visualizzaErogato

    - #### prescrizione2

          private java.lang.String prescrizione2

      Campo destinato a informazioni aggiuntive, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $prescrizione2 della risposta del servizio SAC visualizzaErogato

    - #### codProdPrestErog

          private java.lang.String codProdPrestErog

      Codice AIC del farmaco effettivamente erogato, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $codProdPrestErog della risposta del servizio SAC visualizzaErogato

    - #### descrProdPrestErog

          private java.lang.String descrProdPrestErog

      Descrizione AIC del farmaco effettivamente erogato, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $descrProdPrestErog della risposta del servizio SAC visualizzaErogato

    - #### flagErog

          private java.lang.String flagErog

      Il flag assume diversi valori, ed è riferito a ciò che è stato inserito nel campo codProdPrestErog, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $flagErog della risposta del servizio SAC visualizzaErogato

    - #### motivazSostProd

          private java.lang.String motivazSostProd

      Valore indicante se il prodotto farmaceutico è stato sostituito ovvero se il farmaco di riferimento non è reperibile. Se il campo è valorizzato, deve essere presente anche il valore “S” in flagErog, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $motivazSostProd della risposta del servizio SAC visualizzaErogato

    - #### targa

          private java.lang.String targa

      Numero identificativo univoco della singola confezione presente sulla fustella, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $targa della risposta del servizio SAC visualizzaErogato

    - #### dichTargaDoppia

          private java.lang.String dichTargaDoppia

      Dichiarazione del farmacista di erogazione di un farmaco il cui codice targatura è già esistente presso il SAC, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $dichTargaDoppia della risposta del servizio SAC visualizzaErogato

    - #### prezzo

          private java.lang.String prezzo

      Prezzo al pubblico del prodotto farmaceutico, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $prezzo della risposta del servizio SAC visualizzaErogato

    - #### ticketConfezione

          private java.lang.String ticketConfezione

      Ammontare della quota di compartecipazione alla spesa sanitaria per l’erogazione farmaceutica, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $ticketConfezione della risposta del servizio SAC visualizzaErogato

    - #### diffGenerico

          private java.lang.String diffGenerico

      Differenza di prezzo tra prodotto di marca e generico, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $diffGenerico della risposta del servizio SAC visualizzaErogato

    - #### quantitaErogata

          private java.lang.String quantitaErogata

      Quantità effettivamente erogata, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $quantitaErogata della risposta del servizio SAC visualizzaErogato

    - #### dataIniErog

          private java.lang.String dataIniErog

      Data inizio erogazione, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $dataIniErog della risposta del servizio SAC visualizzaErogato

    - #### dataFineErog

          private java.lang.String dataFineErog

      Data fine erogazione, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $dataFineErog della risposta del servizio SAC visualizzaErogato

    - #### onereProd

          private java.lang.String onereProd

      Onere di distribuzione del prodotto farmaceutico erogato in DPC, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $onereProd della risposta del servizio SAC visualizzaErogato

    - #### scontoSSN

          private java.lang.String scontoSSN

      Sconto riconosciuto al SSN, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $scontoSSN della risposta del servizio SAC visualizzaErogato

    - #### extraScontoIndustria

          private java.lang.String extraScontoIndustria

      sconto obbligatorio dello 0,6% sul prezzo al pubblico lordo con IVA a carico dell'industria produttrice, per i medicinali erogati in regime SSN, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $extraScontoIndustria della risposta del servizio SAC visualizzaErogato

    - #### extraScontoPayback

          private java.lang.String extraScontoPayback

      È lo sconto che il SSN nel procedere alla corresponsione di quanto dovuto alle farmacie trattiene per un importo corrispondente allo 0,6% del prezzo al pubblico comprensivo dell'IVA, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $extraScontoPayback della risposta del servizio SAC visualizzaErogato

    - #### extraScontoDL31052010

          private java.lang.String extraScontoDL31052010

      Sconto introdotto nel DL31.05.2010, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $extraScontoDL31052010 della risposta del servizio SAC visualizzaErogato

    - #### tipoErogazioneFarm

          private java.lang.String tipoErogazioneFarm

      Tipologia di erogazione dei farmaci, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $tipoErogazioneFarm della risposta del servizio SAC visualizzaErogato

    - #### dispFust1

          private java.lang.String dispFust1

      Campo per futuro utilizzo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $dispFust1 della risposta del servizio SAC visualizzaErogato

    - #### dispFust2

          private java.lang.String dispFust2

      Campo per futuro utilizzo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $dispFust2 della risposta del servizio SAC visualizzaErogato

    - #### dispFust3

          private java.lang.String dispFust3

      Campo riservato alle Regioni, nel quale possono inserire informazioni di loro interesse, non controllate dal SAC. Deve essere rispettata la lunghezza del campo e l’utilizzo dei caratteri ammessi, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $dispFust3 della risposta del servizio SAC visualizzaErogato

  - ### Constructor Detail

    - #### Farmaco

          public Farmaco()

  - ### Method Detail

    - #### getDispFust1

          public java.lang.String getDispFust1()

    - #### setDispFust1

          public void setDispFust1(java.lang.String dispFust1)

    - #### getDispFust2

          public java.lang.String getDispFust2()

    - #### setDispFust2

          public void setDispFust2(java.lang.String dispFust2)

    - #### getDispFust3

          public java.lang.String getDispFust3()

    - #### setDispFust3

          public void setDispFust3(java.lang.String dispFust3)

    - #### getTipoErogazioneFarm

          public java.lang.String getTipoErogazioneFarm()

    - #### setTipoErogazioneFarm

          public void setTipoErogazioneFarm(java.lang.String tipoErogazioneFarm)

    - #### getCodATC

          public java.lang.String getCodATC()

    - #### setCodATC

          public void setCodATC(java.lang.String codATC)

    - #### getCodNotaCUF

          public java.lang.String getCodNotaCUF()

    - #### setCodNotaCUF

          public void setCodNotaCUF(java.lang.String codNotaCUF)

    - #### getCodice

          public java.lang.String getCodice()

    - #### setCodice

          public void setCodice(java.lang.String codice)

    - #### getDescATC

          public java.lang.String getDescATC()

    - #### setDescATC

          public void setDescATC(java.lang.String descATC)

    - #### getDescrizione

          public java.lang.String getDescrizione()

    - #### setDescrizione

          public void setDescrizione(java.lang.String descrizione)

    - #### getFascia

          public java.lang.String getFascia()

    - #### setFascia

          public void setFascia(java.lang.String fascia)

    - #### getFlagFarmacoSostituibile

          public java.lang.String getFlagFarmacoSostituibile()

    - #### setFlagFarmacoSostituibile

          public void setFlagFarmacoSostituibile(java.lang.String flagFarmacoSostituibile)

    - #### getImpPrestazione

          public java.lang.String getImpPrestazione()

    - #### setImpPrestazione

          public void setImpPrestazione(java.lang.String impPrestazione)

    - #### getNota

          public java.lang.String getNota()

    - #### setNota

          public void setNota(java.lang.String nota)

    - #### getQuantita

          public java.lang.String getQuantita()

    - #### setQuantita

          public void setQuantita(java.lang.String quantita)

    - #### getStatoPresc

          public java.lang.String getStatoPresc()

    - #### setStatoPresc

          public void setStatoPresc(java.lang.String statoPresc)

    - #### getCodGruppoEquival

          public java.lang.String getCodGruppoEquival()

    - #### setCodGruppoEquival

          public void setCodGruppoEquival(java.lang.String codGruppoEquival)

    - #### getDescrGruppoEquival

          public java.lang.String getDescrGruppoEquival()

    - #### setDescrGruppoEquival

          public void setDescrGruppoEquival(java.lang.String descrGruppoEquival)

    - #### getMotivazNote

          public java.lang.String getMotivazNote()

    - #### setMotivazNote

          public void setMotivazNote(java.lang.String motivazNote)

    - #### getCodMotivazione

          public java.lang.String getCodMotivazione()

    - #### setCodMotivazione

          public void setCodMotivazione(java.lang.String codMotivazione)

    - #### getNotaProd

          public java.lang.String getNotaProd()

    - #### setNotaProd

          public void setNotaProd(java.lang.String notaProd)

    - #### getPrescrizione1

          public java.lang.String getPrescrizione1()

    - #### setPrescrizione1

          public void setPrescrizione1(java.lang.String prescrizione1)

    - #### getPrescrizione2

          public java.lang.String getPrescrizione2()

    - #### setPrescrizione2

          public void setPrescrizione2(java.lang.String prescrizione2)

    - #### getCodProdPrestErog

          public java.lang.String getCodProdPrestErog()

    - #### setCodProdPrestErog

          public void setCodProdPrestErog(java.lang.String codProdPrestErog)

    - #### getDescrProdPrestErog

          public java.lang.String getDescrProdPrestErog()

    - #### setDescrProdPrestErog

          public void setDescrProdPrestErog(java.lang.String descrProdPrestErog)

    - #### getFlagErog

          public java.lang.String getFlagErog()

    - #### setFlagErog

          public void setFlagErog(java.lang.String flagErog)

    - #### getMotivazSostProd

          public java.lang.String getMotivazSostProd()

    - #### setMotivazSostProd

          public void setMotivazSostProd(java.lang.String motivazSostProd)

    - #### getTarga

          public java.lang.String getTarga()

    - #### setTarga

          public void setTarga(java.lang.String targa)

    - #### getDichTargaDoppia

          public java.lang.String getDichTargaDoppia()

    - #### setDichTargaDoppia

          public void setDichTargaDoppia(java.lang.String dichTargaDoppia)

    - #### getPrezzo

          public java.lang.String getPrezzo()

    - #### setPrezzo

          public void setPrezzo(java.lang.String prezzo)

    - #### getTicketConfezione

          public java.lang.String getTicketConfezione()

    - #### setTicketConfezione

          public void setTicketConfezione(java.lang.String ticketConfezione)

    - #### getDiffGenerico

          public java.lang.String getDiffGenerico()

    - #### setDiffGenerico

          public void setDiffGenerico(java.lang.String diffGenerico)

    - #### getQuantitaErogata

          public java.lang.String getQuantitaErogata()

    - #### setQuantitaErogata

          public void setQuantitaErogata(java.lang.String quantitaErogata)

    - #### getDataIniErog

          public java.lang.String getDataIniErog()

    - #### setDataIniErog

          public void setDataIniErog(java.lang.String dataIniErog)

    - #### getDataFineErog

          public java.lang.String getDataFineErog()

    - #### setDataFineErog

          public void setDataFineErog(java.lang.String dataFineErog)

    - #### getOnereProd

          public java.lang.String getOnereProd()

    - #### setOnereProd

          public void setOnereProd(java.lang.String onereProd)

    - #### getScontoSSN

          public java.lang.String getScontoSSN()

    - #### setScontoSSN

          public void setScontoSSN(java.lang.String scontoSSN)

    - #### getExtraScontoIndustria

          public java.lang.String getExtraScontoIndustria()

    - #### setExtraScontoIndustria

          public void setExtraScontoIndustria(java.lang.String extraScontoIndustria)

    - #### getExtraScontoPayback

          public java.lang.String getExtraScontoPayback()

    - #### setExtraScontoPayback

          public void setExtraScontoPayback(java.lang.String extraScontoPayback)

    - #### getExtraScontoDL31052010

          public java.lang.String getExtraScontoDL31052010()

    - #### setExtraScontoDL31052010

          public void setExtraScontoDL31052010(java.lang.String extraScontoDL31052010)